Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513592 - [RFE] Remove the 'VMware MKS plugin' option from 5.7.x
Summary: [RFE] Remove the 'VMware MKS plugin' option from 5.7.x
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.5
Assignee: Harpreet Kataria
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 16:22 UTC by Kedar Kulkarni
Modified: 2019-02-14 12:17 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
NPAPI support has been removed from all major browsers and VMware no longer supports this console type. As a result, the `VMware MKS plugin` option has been disabled in CloudForms.
Clone Of:
Environment:
Last Closed: 2019-02-14 12:17:18 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Description Kedar Kulkarni 2017-11-15 16:22:18 UTC
Description of problem:
VMware MKS plugin: browsers no longer support the required NPAPI plugin
so Remove support for MKS Console from CFME.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Kedar Kulkarni 2017-11-15 16:23:33 UTC
Severity is set to High cause it is causing confusion with customers, they assume MKS and WebMKS are same and expect the MKS to work, while it is not actually going to work.

Comment 18 CFME Bot 2018-04-25 18:40:33 UTC
New commit detected on ManageIQ/manageiq-schema/master:

https://github.com/ManageIQ/manageiq-schema/commit/c7f75ab67f8e5f40b780525a178aa4ac2e08973a
commit c7f75ab67f8e5f40b780525a178aa4ac2e08973a
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Tue Feb  6 09:41:10 2018 -0500
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Tue Feb  6 09:41:10 2018 -0500

    Remove all VMware MKS console-related records from SettingSchanges

    https://bugzilla.redhat.com/show_bug.cgi?id=1513592

 db/migrate/20180130165200_drop_webmks.rb | 10 +
 spec/migrations/20180130165200_drop_webmks_spec.rb | 17 +
 2 files changed, 27 insertions(+)


Note You need to log in before you can comment on or make changes to this bug.